<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">
    <data>
        <import type="it.integry.integrywmsnative.core.utility.UtilityString" />
        <import type="it.integry.integrywmsnative.core.utility.UtilityNumber" />

        <variable
            name="view"
            type="it.integry.integrywmsnative.gest.prod_versamento_materiale.ProdVersamentoMaterialeFragment" />
    </data>

    <FrameLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/base_root"
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center_horizontal"
        android:visibility="visible"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp">


        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/title_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                style="@style/TextViewMaterial.Dialog.HeadlineText"
                android:text="@string/distribute_ul"
                android:gravity="center_horizontal"/>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/gray_detail_background_round8"
                android:orientation="vertical"
                android:layout_marginLeft="8dp"
                android:layout_marginTop="12dp"
                android:layout_marginRight="8dp"
                android:padding="16dp">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/descr_art"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        app:text="@{view.descrizionePrimaryArt}"
                        tools:text="CAVOLO VERZA"
                        style="@style/AppTheme.NewMaterial.Text.Small"
                        android:textColor="@color/colorPrimary"
                        android:textStyle="bold"
                        android:layout_marginEnd="8dp"
                        />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/article"
                        android:textColor="@android:color/black"
                        android:layout_marginEnd="8dp"
                        android:textSize="16sp" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/cod_art"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        tools:text="150303-010"
                        app:text="@{view.codPrimaryArt}"
                        android:textColor="@android:color/black"
                        android:textSize="16sp"
                        android:textStyle="bold" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/batch_lot"
                        android:textColor="@android:color/black"
                        android:layout_marginEnd="8dp"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/batch"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        tools:text="35119F0038"
                        app:text="@{view.lottoPrimaryArt}"
                        android:textColor="@android:color/black"
                        android:textSize="14sp"
                        android:textStyle="italic" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/quantity"
                        android:textColor="@android:color/black"
                        android:layout_marginEnd="8dp"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/qta_col"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        app:text="@{view.quantityPrimaryArt}"
                        tools:text="385 CONF"
                        android:textColor="@android:color/black"
                        android:textSize="14sp"
                        android:textStyle="italic" />
                </androidx.appcompat.widget.LinearLayoutCompat>




            </androidx.appcompat.widget.LinearLayoutCompat>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/empty_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:gravity="center"
                    android:padding="16dp"
                    android:layout_marginTop="16dp"
                    android:layout_marginBottom="16dp">


                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="@string/no_available_order_on_line"
                        android:textSize="20sp"
                        android:gravity="center"
                        android:textColor="@color/empty_view_gray"/>

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/lista_arts"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:clipToPadding="false"
                    android:paddingBottom="80dp"
                    android:scrollbarStyle="outsideOverlay" />

            </RelativeLayout>

        </androidx.appcompat.widget.LinearLayoutCompat>

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/positive_fab"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|end"
            android:layout_margin="@dimen/fab_margin"
            android:tint="@android:color/white"
            app:visibility="@{view.fabVisible}"
            app:singleClick="@{view::onConfirmClicked}"
            style="@style/Widget.MaterialComponents.FloatingActionButton"
            app:srcCompat="@drawable/ic_check_black_24dp" />
    </FrameLayout>
</layout>